package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * Strings generated by hbm2java
 */
@Entity
@Table(name="strings"
    ,catalog="northwind"
)
public class Strings  implements java.io.Serializable {


     private Integer stringId;
     private String stringData;

    public Strings() {
    }

    public Strings(String stringData) {
       this.stringData = stringData;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="string_id", unique=true, nullable=false)
    public Integer getStringId() {
        return this.stringId;
    }
    
    public void setStringId(Integer stringId) {
        this.stringId = stringId;
    }
    
    @Column(name="string_data")
    public String getStringData() {
        return this.stringData;
    }
    
    public void setStringData(String stringData) {
        this.stringData = stringData;
    }




}


